DESCRIPTION = "H&D wireless extra stuff"
SECTION = "hdw"
LICENSE = "CLOSED"
#LIC_FILES_CHKSUM = ""

SRC_URI = "file://ttcp.c \
	   file://profile \
	   file://hdw-install \
	   file://hdw-uninstall \
	   file://wpa_supplicant.conf \
	   file://hostapd.conf \
	   file://udhcpd.conf \
	   file://hdw-hostapd-start \
	   file://hdw-hostapd-stop \
	  "

S = "${WORKDIR}"

do_compile() {
    ${CC} -o ttcp ttcp.c
}

do_patch() {
	   sed -i 's/^ssid=.*/ssid='${MACHINE}'/' ${WORKDIR}/hostapd.conf
}

do_install() {
    install -d ${D}/usr/local/bin/
    install -m 0755 ${WORKDIR}/ttcp ${D}/usr/local/bin/
    install -m 0755 ${WORKDIR}/hdw-hostapd-start ${D}/usr/local/bin/
    install -m 0755 ${WORKDIR}/hdw-hostapd-stop ${D}/usr/local/bin/

    install -d ${D}/home/root/
    install -m 0644 ${WORKDIR}/profile ${D}/home/root/.profile

    install -d ${D}/home/root/.hdw
    install -m 0755 ${WORKDIR}/hdw-install ${D}/home/root/.hdw/
    install -m 0755 ${WORKDIR}/hdw-uninstall ${D}/home/root/.hdw/
    install -m 0644 ${WORKDIR}/wpa_supplicant.conf ${D}/home/root/.hdw/
    install -m 0644 ${WORKDIR}/hostapd.conf ${D}/home/root/.hdw/
    install -m 0644 ${WORKDIR}/udhcpd.conf ${D}/home/root/.hdw/
}

FILES_${PN} += "/usr/local/bin/ttcp \
	        /home/root/.profile \
	        /home/root/.hdw/hdw-install \
	        /home/root/.hdw/hdw-uninstall \
	        /home/root/.hdw/wpa_supplicant.conf \
	        /home/root/.hdw/hostapd.conf \
	        /home/root/.hdw/udhcpd.conf \
	        /usr/local/bin/hdw-hostapd-start \
	        /usr/local/bin/hdw-hostapd-stop \
	       "
